package com.hfkj.sysenum.order;

import lombok.Getter;

/**
  * @ClassName OrderCinemaStatusEnum
  * @Author Sum1Dream
  * @Description 电影票状态枚举
  * @Date 2024/7/4 下午3:32
 **/
@Getter
public enum OrderStarbucksStatusEnum {
    /**
     * 未上送
     */
    status0(0, "待付款"),

    /**
     * 待出票
     */
    status5(5, "已支付"),

    /**
     * 已出票
     */
    status10(10, "出单中"),

    /**
     * 已退款
     */
    status15(15, "出单成功"),

    /**
     * 已取消
     */
    statusNegative5(-5, "已取消"),

    /**
     * 代付款
     */
    statusNegative10(-10, "失败"),

    ;

    private final int code;

    private final String name;


    OrderStarbucksStatusEnum(int code, String name) {
        this.code = code;
        this.name = name;
    }
}
